## NAME

i.image.mosaic - Mosaics several images and extends colormap.

## KEYWORDS

imagery, geometry, mosaicking

## SYNOPSIS

i.image.mosaic
i.image.mosaic --help
i.image.mosaic input=name[,name,...] output=name [nprocs=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name[,name,...] [required]
  Name of input raster map(s)
output=name [required]
  Name for output raster map
nprocs=integer
  Number of threads for parallel computing
  0: use OpenMP default; >0: use nprocs; <0: use MAX-nprocs
  Default: 0

## DESCRIPTION

i.image.mosaic mosaics several images or raster maps using the GRASS map calculator, and extends the colormap to the range of all images.

## SEE ALSO

r.patch, r.mapcalc

## AUTHORS

Markus Neteler, ITC-Irst, Trento, Italy Updated to GRASS 5.7 by Michael Barton, Arizona State University

## SOURCE CODE

Available at: i.image.mosaic source code (history)

Latest change: Thursday Nov 06 17:44:58 2025 in commit: 49643013d49fd2f0415476f39a02f0bc7db7c70b

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual